Subject: Re: [bug#47661] [PATCH 00/33] Improve Emacs UX.

From: Leo Prikler <[email-masked]>
Date: Thu, 29 Apr 2021 16:58:53 +0200

Am Donnerstag, den 29.04.2021, 14:16 +0200 schrieb Xinglu Chen:
> Hi,
> 
> On Thu, Apr 08 2021, Leo Prikler wrote:
> 
> > Hi Guix,
> > 
> > as you all recall, I recently put in some efforts into improving
> > the
> > Emacs user experience in Guix.  There are three bugs addressed by
> > this
> > patch set:
> > 
> > 1. Emacs libraries may inadvertently overwrite files in other
> > libraries
> >    (solved by using ELPA-style subdirectories)
> > 2. Emacs cannot find its own load-path after an update.  (Solved
> > with a
> >    wrapper).
> > 3. Emacs can't find core programs, such as "ls" or "gzip".
> 
> I just wanted to let you know that I have been using these patches
> with
> Emacs for a few days, and things have been working fine so far :)  I
> haven’t tested all the updated packages, though.
> 
> Out of curiosity, what are the differences between v2 and v1 of the
> series?  It would be nice to include a cover letter for v2 to give an
> overview of the changes since v1.
The difference of v2 w.r.t. v1 lies in how Emacs finds core binaries
([03/33] in the respective series).  v1 hardcodes them, but as I
feared, that won't work with tramp, so I changed it to adjusting PATH
in v2.  You can test that this has a visible effect by checking some
variant of emacs-next both with v1 and v2.

Regards,
Leo